Loading...
Searching...
No Matches
restinio::impl::own_io_context_for_thread_pool_t Class Reference

A class for holding actual instance of Asio's io_context. More...

`#include <ioctx_on_thread_pool.hpp>`

## Public Member Functions

| own_io_context_for_thread_pool_t ()=default
auto & | io_context () noexcept
| Get access to io_context object.

## Private Attributes

asio_ns::io_context | m_ioctx

## Detailed Description

A class for holding actual instance of Asio's io_context.

Note
  This class is intended to be used as template argument for ioctx_on_thread_pool_t template.

Since
  v.0.4.2

Definition at line 25 of file ioctx_on_thread_pool.hpp.

## Constructor & Destructor Documentation

## own_io_context_for_thread_pool_t()

restinio::impl::own_io_context_for_thread_pool_t::own_io_context_for_thread_pool_t | ( |  | ) |

default

## Member Function Documentation

## io_context()

auto & restinio::impl::own_io_context_for_thread_pool_t::io_context | ( |  | ) |

inline noexcept

Get access to io_context object.

Definition at line 33 of file ioctx_on_thread_pool.hpp.

## Member Data Documentation

## m_ioctx

asio_ns::io_context restinio::impl::own_io_context_for_thread_pool_t::m_ioctx

private

Definition at line 27 of file ioctx_on_thread_pool.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/ioctx_on_thread_pool.hpp